--- title: "changeFabricClusterServerInstances" slug: "compute-vserver-fabriccluster-changefabricclusterserverinstances" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-fabriccluster-changefabricclusterserverinstances" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeFabricClusterServerInstances Available in VPC Change the list of server instances included in a Fabric cluster. It may take several minutes to tens of minutes for the server list to update. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/changeFabricClusterServerInstances | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `fabricClusterNo` | String | Required | Fabric cluster number - See [getFabricClusterList](/docs/en/compute-vserver-fabriccluster-getfabricclusterlist). | | `clusterModeServerInstanceNoList.N` | String | Optional | List of server instance numbers to configure in cluster mode - Only servers created in the Fabric cluster pool configured for the Fabric cluster can be set. - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). - Query existing cluster mode servers: Filter by `fabricClusterNo` and `fabricClusterMode=CLUSTER`. - Query single-mode servers that can be added: Filter by `fabricClusterPoolNo` and `fabricClusterMode=SINGLE`. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | Note When entering a request query parameter, see the following: - This API updates the existing cluster mode settings with the requested list. Therefore, if you want to retain the previously configured server instances, include their instance numbers in the request. - Requesting `clusterModeServerInstanceNoList` as an empty list or omitting it will disable all existing cluster mode settings. ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/changeFabricClusterServerInstances ?regionCode=KR &fabricClusterNo=13** &clusterModeServerInstanceNoList.1=1** &clusterModeServerInstanceNoList.2=2** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `changeFabricClusterServerInstancesResponse` | Object | - | Response result - See [FabricClusterList](/docs/en/common-vapidatatype-fabricclusterlist). | | `changeFabricClusterServerInstancesResponse.requestId` | String | - | ID for the request - UUID format | | `changeFabricClusterServerInstancesResponse.returnCode` | String | - | Response code | | `changeFabricClusterServerInstancesResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "changeFabricClusterServerInstancesResponse": { "totalRows": 1, "fabricClusterList": [ { "fabricClusterNo": "13**", "fabricClusterName": "test-***", "fabricClusterStatus": { "code": "SETUP", "codeName": "Configuring" }, "fabricClusterDescription": "test", "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "***84", "fabricClusterPoolNo": "***01", "fabricClusterPoolName": "test-***", "fabricClusterPoolCode": "test-***", "createDate": "2025-12-12T13:36:17+0900", "fabricClusterServerInstanceList": [] } ], "requestId": "8b4841e9-0ca6-4e0e-84ef-054d42de4464", "returnCode": "0", "returnMessage": "success" } } ```